Summary: Synchronizes system time using the Network Time Protocol (NTP).
Name: ntp
Version: 4.2.0
Release: 8tr
License: distributable
Group: Trustix Official
Source0: ftp://ftp.udel.edu/pub/ntp/ntp4/ntp-%{version}.tar.gz
Source1: ntp.conf
Source2: ntp.keys
Source3: ntpd.init
Source4: ntpd.sysconfig
Patch1: ntp-4.2.0-vsnprintf.patch
Patch2: ntp-4.0.99m-usegethost.patch
Patch3: ntp-4.2.0-linuxprivs.patch

URL: http://www.ntp.org
PreReq: /sbin/chkconfig /sbin/restart_maybe
Prereq: /usr/sbin/groupadd /usr/sbin/useradd
PreReq: sed
Requires: libcap
BuildPreReq: libcap-devel
Obsoletes: xntp3
BuildRoot: %{_tmppath}/%{name}-root

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source. The ntp package contains
utilities and daemons that will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

Install the ntp package if you need tools for keeping your system's
time synchronized via the NTP protocol.

%prep 
%setup -q 
%patch1 -p1
%patch2 -p1
%patch3 -p1
libtoolize --copy --force


%build
# XXX work around for anal ntp configure
%define	_target_platform	%{nil}
# XXX --bindir does not work
%define _bindir /usr/sbin
%configure --sysconfdir=/etc/ntp \
           --enable-all-clocks \
           --enable-parse-clocks \
           --enable-linuxcaps
%undefine _target_platform

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

find . -name thumbs.db -print | xargs rm -f

%makeinstall sysconfdir=/etc/ntp

{ cd $RPM_BUILD_ROOT

  mkdir -p .%{_sysconfdir}/{ntp,init.d}
  install -m644 $RPM_SOURCE_DIR/ntp.conf .%{_sysconfdir}/ntp.conf
  install -m600 $RPM_SOURCE_DIR/ntp.keys .%{_sysconfdir}/ntp/keys
  install -m755 $RPM_SOURCE_DIR/ntpd.init .%{_sysconfdir}/init.d/ntpd

  mkdir -p .%{_sysconfdir}/sysconfig
  install -m644 %{SOURCE4} .%{_sysconfdir}/sysconfig/ntpd

  mkdir -p var/lib/ntp
  touch var/lib/ntp/drift
  touch var/lib/ntp/drift.TEMP

  strip .%{_prefix}/sbin/* || :
}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
service ntpd stop 2> /dev/null > /dev/null || :
# Dynamically add the ntp user BEFORE installing package
if [ -z "`getent group ntp`" ]; then
        /usr/sbin/groupadd -g 38 ntp
fi
if [ -z "`getent passwd ntp`" ]; then
        /usr/sbin/useradd -d /etc/ntp -s /bin/true \
        -g ntp -u 38 ntp
fi

%post
if [ -f /var/lib/ntp/drift ]; then
	chown ntp.ntp /var/lib/ntp/drift || :
fi
/sbin/chkconfig --add ntpd
# Restart service after upgrade.
/sbin/restart_maybe ntpd

%preun
if [ $1 = 0 ]; then
	/usr/sbin/groupdel ntp &>/dev/null || :
	/usr/sbin/userdel ntp &>/dev/null || :
	service ntpd stop 2> /dev/null > /dev/null || :
	/sbin/chkconfig --del ntpd
fi 

%files
%defattr(0755,root,root)
%doc html/* NEWS TODO 
%{_sysconfdir}/init.d/ntpd
%config(noreplace) %{_sysconfdir}/sysconfig/ntpd
%config(noreplace) %{_sysconfdir}/ntp.conf
%dir %attr(-,ntp,ntp) %{_sysconfdir}/ntp
%dir %attr(750,ntp,ntp) /var/lib/ntp
%ghost %attr(640,ntp,ntp) /var/lib/ntp/drift
%ghost %attr(640,ntp,ntp) /var/lib/ntp/drift.TEMP
%config(noreplace) %attr(-,ntp,ntp) %{_sysconfdir}/ntp/keys

%{_prefix}/sbin/*

%changelog
* Thu Apr  1 2004 Erlend Midttun <erlendbm at trustix dot org>4.2.0-8tr
- Now own /var/lib/ntp too
- ghost /var/lib/ntp/drift
- ghost /var/lib/ntp/drift.TEMP
- Added pool.ntp.org

* Tue Mar 23 2004 Chr. Toldnes <christht at trustix dot org> 4.2.0-7tr
- added gqx in initscript

* Mon Mar 01 2004 Oystein Viggen <oysteivi at trustix dot org> 4.2.0-5tr
- Remove forced -g from init script.  Sysconfig is the correct place for it.

* Tue Feb 10 2004 Oystein Viggen <oysteivi at trustix dot org> 4.2.0-3ov
- Use upstream patch for dropping root, instead of the third-party one
- Update ntpd.sysconfig accordingly
- Add -g in ntpd.sysconfig (replaces ntpdate and step-tickers trick)

* Mon Feb  2 2004 Chr. Toldnes <christht at trustix dot org> 4.2.0-2ct
- chkconfig --add in %post

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 4.2.0-1tr
- New upstream
- Moved drift file to /var

* Fri Aug  1 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1.72-7tr
- Removed thumbs databases.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1.72-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1.72-5em
- Rebuilt against glibc 2.3.2.

* Sun Jan 19 2003 Gerald Dachs <gda at trustix dot org> 4.1.72-4gd
- rebuilt against openssl 0.9.7

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 4.1.72-3ct
- ntpd initscript now uses $INITLOCK

* Thu Aug 29 2002 Christian H. Toldnes <christht at trustix dot com> 4.1.72-2ct
- Fixed groups
- Ported changes into tsl .spec

* Tue Aug 27 2002 Gerald Dachs <gda@trustrix.org> 4.1.72-1gd
- .spec file based on work from RawHide

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- It appears xntpd now includes libpcap dynamically, so increase version
  number.

* Fri Apr 27 2001 Oystein Viggen <oysteivi at trustix dot com>
- Patch for capabilities in linux
- Add user/group ntp

* Fri Apr 06 2001 Erlend Midttun <erlendbm at trustix dot com>
- Applied patch from Poul-Henning Kamp to close remote buffer exploit.

* Wed Mar 01 2000 Lars Gaarden <larsg at trustix dot com>
- step-tickers

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- disallow remote updates by default in ntp.conf (#2170)

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- use %configure
- fix initscript not to sit out the output of ntpdate (use syslog instead)
- eliminate subshell from the install stage

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Sun Nov 22 1998 Jeff Johnson <jbj@redhat.com>
- ntp.conf: default local clock stratum to 10.

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.93e.

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Thu Aug  6 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.93c.
- implement suggestions from James Youngman <JYoungman@vggas.com>:
-   correct default /etc/ntp/keys 
-   use /etc/ntp/step-tickers for ntpdate hosts

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- start it after named

* Mon May 04 1998 Jeff Johnson <jbj@redhat.com>
- Update to 5.93.

* Mon Feb  2 1998 Jeff Johnson <jbj@jbj.org>
- Fiddles for RH-5.0. Update to xntp3-5.92.

* Mon Feb  2 1998 Jeff Johnson <jbj@jbj.org>
- Fiddles for RH-5.0. Update to xntp3-5.92.

* Sat Oct 18 1997 Manoj Kasichainula <manojk@io.com>
- Initial release for 5.91

